-- Script containing customer specific configuration sql statements for bons
-- (c) 2009 SG|facilitor bv
-- $Revision$
-- $Id$
--
-- Support: +31 53 4800710

set echo on

spool bons.lst

CREATE OR REPLACE VIEW bons_v_rap_salaris_unit4
(
   fclt_f_periode,
   werkgever,
   werknemer,
   loonsoort,
   dienstverband,
   boekjaar,
   periode,
   datum,
   volgnr,
   dagensoort,
   looncomponent,
   aantaldagen,
   aantaluren,
   waarde  
)
AS SELECT
   fclt_f_periode,
   1,
   '''' || nr_verzorger || '''',
   3,
   NULL,
   TO_CHAR(boekdatum,'yyyy'),
   SUBSTR (fclt_f_periode, 6, 2),
   TO_CHAR(boekdatum,'dd-mm-yyyy'),
   NULL,
   DECODE(uur_soort,'GEWERKT', 'GEW', 'ZIEK', 'ZK', 'VERLOF', 'VRL', NULL),
   DECODE(kosten_soort,'FIETS', '799102', 'BROMF', '799101', 'KM_WW', '709111', 'KM_PLUS', '107002',  NULL),
   svdagen,
   uren,
   kosten
FROM care_v_rap_salaris_b;



BEGIN adm.systrackscriptId('$Id$', 0); END;
/

BEGIN fac.registercustversion('BONS', 1); END;
/

COMMIT;

spool off
